%define anolis_release 1
%global enable_debugging 0

Name: gnome-menus
Version: 3.36.0
Release: %{anolis_release}%{dist}
Summary:  A menu system for the GNOME project

License: LGPLv2+
URL: https://gitlab.gnome.org/GNOME/gnome-menus
Source0: https://download.gnome.org/sources/gnome-menus/3.36/%{name}-%{version}.tar.xz
# https://gitlab.gnome.org/GNOME/gnome-menus/merge_requests/14
# Puts eog back to the Utilities submenu
Patch0: 14.patch

BuildRequires: gawk
BuildRequires: gettext
BuildRequires: glib2-devel
BuildRequires: pkgconfig
BuildRequires: gobject-introspection-devel
BuildRequires: make
%description
gnome-menus is an implementation of the draft "Desktop
Menu Specification" from freedesktop.org. This package
also contains the GNOME menu layout configuration files,
.directory files and assorted menu related utility programs
and a simple menu editor.

%package devel
Summary: Libraries and include files for the GNOME menu system
Requires: %{name} = %{version}-%{release}

%description devel
This package provides the necessary development libraries for
writing applications that use the GNOME menu system.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q
%patch0 -p1

%build
%configure --disable-static \
   --enable-introspection \
%if %{enable_debugging}
   --enable-debug=yes
%else
   --enable-debug=no
%endif

%make_build

%install
%make_install

%find_lang gnome-menus
%generate_compatibility_deps

%files -f gnome-menus.lang
%license COPYING.LIB
%doc AUTHORS NEWS
%{_sysconfdir}/xdg/menus/gnome-applications.menu
%{_libdir}/lib*.so.*
%{_datadir}/desktop-directories/*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GMenu-3.0.typelib
%dir %{abidir}
%{abidir}/lib*.dump

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/gnome-menus-3.0
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GMenu-3.0.gir

%files doc
%doc AUTHORS ChangeLog

%changelog
* Tue Mar 28 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 3.36.0-1
- Init package from upstream
